Premium Credit Report
curl --request POST \
--url https://adhere-api.smartcomply.com/api/onboarding/individual/premium/ \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"bvn": "22244545518"
}
'import requests
url = "https://adhere-api.smartcomply.com/api/onboarding/individual/premium/"
payload = { "bvn": "22244545518" }
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({bvn: '22244545518'})
};
fetch('https://adhere-api.smartcomply.com/api/onboarding/individual/premium/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "failed",
"data": [
"<unknown>"
],
"message": "<string>"
}{
"status": "failed",
"message": "Authentication credentials were not provided."
}Individuel
Rapport de crédit individuel Premium
Récupérez le rapport de crédit consolidé d’un individu auprès des bureaux Credit Registry et First Central.
POST
/
api
/
onboarding
/
individual
/
premium
/
Premium Credit Report
L’endpoint Rapport de crédit individuel Premium agrège les données de crédit des bureaux Credit Registry et First Central, fournissant une vue unifiée de la solvabilité d’un individu, notamment l’historique de prêt, les créanciers, la performance et les demandes.
Endpoint
POST /api/onboarding/individual/premium/
Requête
En-têtes
| En-tête | Valeur | Requis |
|---|---|---|
x-access-token | Votre clé secrète API | Oui |
Content-Type | application/json | Oui |
Paramètres de corps
| Paramètre | Type | Requis | Description |
|---|---|---|---|
bvn | string | Oui | Le numéro d’identification bancaire à 11 chiffres de l’individu |
Exemple
curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/individual/premium/" \
-H "x-access-token: YOUR_SECRET_KEY" \
-H "Content-Type: application/json" \
-d '{"bvn": "22244545518"}'
Réponse
200 OK
| Champ | Type | Description |
|---|---|---|
data.name | string | Nom complet |
data.score.totalNoOfLoans | number | Prêts totaux au dossier |
data.score.totalBorrowed | number | Montant total emprunté |
data.score.creditors | array | Liste des créanciers |
data.score.creditEnquiries | array | Liste des demandes de crédit |
data.score.creditEnquiriesSummary | object | Nombre de demandes par période |
data.score.loanPerformance | array | Détails de performance par compte |
data.score.loanHistory | array | Historique de prêt détaillé |
{
"status": "success",
"data": {
"_id": "64f600608aaf9386c646de32",
"bvn": "22244545518",
"name": "ADELEKE EMMANUEL AYORINDE",
"gender": "Male",
"dateOfBirth": "29/12/1994",
"score": {
"totalNoOfLoans": 16,
"totalNoOfDelinquentFacilities": 0,
"totalBorrowed": 3761267,
"totalOutstanding": 0,
"creditors": [
{"Subscriber_ID": "737248693595559931", "Name": "NewEdge Finance Limited"}
],
"creditEnquiriesSummary": {
"Last3MonthCount": "3",
"Last12MonthCount": "4",
"Last36MonthCount": "6"
}
},
"searchedDate": "2023-11-23T14:59:16.554Z"
},
"message": "Premium check successful"
}
400 Bad Request
{
"status": "failed",
"data": [],
"message": "Missing required fields"
}
401 Unauthorized
{
"status": "failed",
"message": "Authentication credentials were not provided."
}

